Subject: Re: [QGIT PATCH] Add safeguards to Git::userInfo()

From: Abdelrazak Younes <[email-masked]>
Date: Tue, 07 Oct 2008 19:38:57 +0200

On 07/10/2008 18:55, Marco Costalba wrote:
> On Tue, Oct 7, 2008 at 6:50 PM, Marco Costalba<[email-masked]>  wrote:
>> An empty user and email it does not mean failure. Again, I would think
>> that is git config that returns no data (without failing) if it is run
>> from outside git directory.
>>
>
> Yes ! it is like this, I have finally had the possibility to test.
>
> git config does not returns user and mail if run outside git dir
> because user and mail are local set.

So how do you explain this:

C:\>git config --global user.name
Abdelrazak Younes

C:\>git config user.name
Abdelrazak Younes

I get the same result in any directory, git repo or not.
FYI, I never set the name locally, just once and globally.

Abdel.